martes, 7 de enero de 2014

Adobe Reader y Evolution [Solucion]

Surgió la necesidad de utilizar un formulario que realiza con un botón el envió de datos utilizando el cliente por defecto del sistema operativo.

La version oficial de Adobe Reader para Linux, la 8.1 da un error al queres abrir evolution, por un problema de versiones de libreria, la solucion es reemplazar las librerias que viene por defecto, por enlaces simbolicos a las librerias del sistema

# sudo ln -sf /lib/libgcc_s.so.1 /opt/Adobe/Reader8/Reader/intellinux/lib/libgcc_s.so.1
# sudo rm /opt/Adobe/Reader8/Reader/intellinux/lib/libstdc++.so.6.0.7
 
Para Fedora 14:
# sudo ln -sf /usr/lib/libstdc++.so.6.0.14 /opt/Adobe/Reader8/Reader/intellinux/lib/libstdc++.so.6

Para Fedora 20:
# sudo ln -sf /usr/lib/libstdc++.so.6.0.19 /opt/Adobe/Reader8/Reader/intellinux/lib/libstdc++.so.6


Hay que tener en cuenta, que la version de la libreria del sistema puede variar con la version de lanzamiento, por ejemplo esto es para un Fedora 14

In English

Fix for Adobe Reader in Linux trying send mail right through evolution in Fedora 14:

# sudo ln -sf /lib/libgcc_s.so.1 /opt/Adobe/Reader8/Reader/intellinux/lib/libgcc_s.so.1


# sudo rm /opt/Adobe/Reader8/Reader/intellinux/lib/libstdc++.so.6.0.7


 
For Fedora 14:
# sudo ln -sf /usr/lib/libstdc++.so.6.0.14 /opt/Adobe/Reader8/Reader/intellinux/lib/libstdc++.so.6

For Fedora 20:
# sudo ln -sf /usr/lib/libstdc++.so.6.0.19 /opt/Adobe/Reader8/Reader/intellinux/lib/libstdc++.so.6


Publicar un comentario